Package net.sf.saxon.om

## Class NoElementsSpaceStrippingRule

- java.lang.Object
- - net.sf.saxon.om.NoElementsSpaceStrippingRule

- All Implemented Interfaces:
    `SpaceStrippingRule`

      public class NoElementsSpaceStrippingRule
      extends java.lang.Object
      implements SpaceStrippingRule

  A whitespace stripping rule that retains all whitespace text nodes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoElementsSpaceStrippingRule()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `export​(ExpressionPresenter presenter)` | Export this rule as part of an exported stylesheet
    `static NoElementsSpaceStrippingRule` | `getInstance()` |
    `int` | `isSpacePreserving​(NodeName fingerprint, SchemaType schemaType)` | Decide whether an element is in the set of white-space preserving element types
    `ProxyReceiver` | `makeStripper​(Receiver next)` | Make a filter to implement these space-stripping rules, or null if no filtering is necessary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoElementsSpaceStrippingRule

          public NoElementsSpaceStrippingRule()

  - ### Method Detail

    - #### getInstance

          public static NoElementsSpaceStrippingRule getInstance()

    - #### isSpacePreserving

          public int isSpacePreserving​(NodeName fingerprint,
                                       SchemaType schemaType)

      Decide whether an element is in the set of white-space preserving element types
      Specified by:
        `isSpacePreserving` in interface `SpaceStrippingRule`
      Parameters:
        `fingerprint` - identifies the element being tested
        `schemaType` -
      Returns:
        STRIP_DEFAULT: strip spaces unless xml:space tells you not to.

    - #### makeStripper

          public ProxyReceiver makeStripper​(Receiver next)

      Make a filter to implement these space-stripping rules, or null if no filtering is necessary
      Specified by:
        `makeStripper` in interface `SpaceStrippingRule`
      Parameters:
        `next` - the Receiver that is to receiver the filtered event stream
      Returns:
        a filter in the form of a ProxyReceiver, or null

    - #### export

          public void export​(ExpressionPresenter presenter)

      Export this rule as part of an exported stylesheet
      Specified by:
        `export` in interface `SpaceStrippingRule`
      Parameters:
        `presenter` - the output handler